EMSA2HashId< H > Class Template Reference

EMSA2 hash identifier. More...

`#include <emsa2.h>`

## Public Member Functions

const byte | id
const byte | id
const byte | id

## Static Public Attributes

static const byte | id

## Detailed Description

template<class H>
class EMSA2HashId< H >

EMSA2 hash identifier.

Template Parameters

  H | HashTransformation derived class

Since
  Crypto++ 5.0

Definition at line 23 of file emsa2.h.

## Member Function Documentation

## id() [1/3]

const byte EMSA2HashId< RIPEMD160 >::id

Definition at line 14 of file pssr.cpp.

## id() [2/3]

const byte EMSA2HashId< RIPEMD128 >::id

Definition at line 15 of file pssr.cpp.

## id() [3/3]

const byte EMSA2HashId< Whirlpool >::id

Definition at line 16 of file pssr.cpp.

## Member Data Documentation

## id

template<class H >

const byte EMSA2HashId< H >::id

static

Definition at line 26 of file emsa2.h.

The documentation for this class was generated from the following file:

- emsa2.h